Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024865
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-10-02 10:522013-10-17 18:33
ReporterjecharriView Statuspublic 
Assigned Toguilleaer 
PriorityimmediateResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchpiFixed in SCM revision5a483d481d58
ProjectionnoneETAnoneTarget VersionRMP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024865: Unpaid invoice or orders

DescriptionUnpaid invoice or orders

Steps To Reproduce-Go to live environment
-Go to window pos terminal and choos VBS-1
-After that change the name of the payment type "OBPOS_payment.cash" to a different name

-After that, login in Web POS
-Create a ticket which value is 1.20 for example
-Pay using above payment type with 5 USD

Verify that the the generated order or invoice is not payed. Generated payment has value as value 5USD so the outstanding amount is 1.2-5=-3.8USD
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0061519)
hgbot (developer)
2013-10-02 12:28

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5a483d481d58801c64ac1e0451d93b1ed650fb61
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Oct 02 12:28:46 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5a483d481d58801c64ac1e0451d93b1ed650fb61 [^]

fixed issue 24865: if any cash payment type exists it is selected. It avoid the problem.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0061520)
hgbot (developer)
2013-10-02 12:35

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: eba016bc1c314562a73fe87fda066ac03becf1f8
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Oct 02 12:35:36 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eba016bc1c314562a73fe87fda066ac03becf1f8 [^]

related to issue 24865: check if paymentcash exists before set status

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0061536)
hgbot (developer)
2013-10-04 09:28

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: 5a483d481d58801c64ac1e0451d93b1ed650fb61
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Oct 02 12:28:46 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/5a483d481d58801c64ac1e0451d93b1ed650fb61 [^]

fixed issue 24865: if any cash payment type exists it is selected. It avoid the problem.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0061537)
hgbot (developer)
2013-10-04 09:29

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: eba016bc1c314562a73fe87fda066ac03becf1f8
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Oct 02 12:35:36 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/eba016bc1c314562a73fe87fda066ac03becf1f8 [^]

related to issue 24865: check if paymentcash exists before set status

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0061540)
guilleaer (developer)
2013-10-04 09:30

reclosed
(0061697)
hgbot (developer)
2013-10-16 13:38

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 5a483d481d58801c64ac1e0451d93b1ed650fb61
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Oct 02 12:28:46 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/5a483d481d58801c64ac1e0451d93b1ed650fb61 [^]

fixed issue 24865: if any cash payment type exists it is selected. It avoid the problem.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0061698)
hgbot (developer)
2013-10-16 13:38

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: eba016bc1c314562a73fe87fda066ac03becf1f8
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Oct 02 12:35:36 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/eba016bc1c314562a73fe87fda066ac03becf1f8 [^]

related to issue 24865: check if paymentcash exists before set status

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0061789)
guilleaer (developer)
2013-10-17 18:33

reclosed

- Issue History
Date Modified Username Field Change
2013-10-02 10:52 jecharri New Issue
2013-10-02 10:52 jecharri Assigned To => guilleaer
2013-10-02 10:52 jecharri Triggers an Emergency Pack => No
2013-10-02 12:28 hgbot Checkin
2013-10-02 12:28 hgbot Note Added: 0061519
2013-10-02 12:28 hgbot Status new => resolved
2013-10-02 12:28 hgbot Resolution open => fixed
2013-10-02 12:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5a483d481d58801c64ac1e0451d93b1ed650fb61 [^]
2013-10-02 12:34 jecharri Status resolved => new
2013-10-02 12:34 jecharri Resolution fixed => open
2013-10-02 12:34 jecharri Summary Unpayed invoice or orders => Unpaid invoice or orders
2013-10-02 12:34 jecharri Description Updated View Revisions
2013-10-02 12:35 hgbot Checkin
2013-10-02 12:35 hgbot Note Added: 0061520
2013-10-02 12:36 jecharri Status new => scheduled
2013-10-02 12:36 jecharri fix_in_branch => pi
2013-10-02 12:37 jecharri Status scheduled => resolved
2013-10-02 12:37 jecharri Resolution open => fixed
2013-10-02 12:42 marvintm Review Assigned To => marvintm
2013-10-02 12:42 marvintm Status resolved => closed
2013-10-02 12:42 marvintm Fixed in Version => RMP27
2013-10-04 09:28 hgbot Checkin
2013-10-04 09:28 hgbot Note Added: 0061536
2013-10-04 09:28 hgbot Status closed => resolved
2013-10-04 09:28 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5a483d481d58801c64ac1e0451d93b1ed650fb61 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/5a483d481d58801c64ac1e0451d93b1ed650fb61 [^]
2013-10-04 09:29 hgbot Checkin
2013-10-04 09:29 hgbot Note Added: 0061537
2013-10-04 09:30 guilleaer Note Added: 0061540
2013-10-04 09:30 guilleaer Status resolved => closed
2013-10-16 13:38 hgbot Checkin
2013-10-16 13:38 hgbot Note Added: 0061697
2013-10-16 13:38 hgbot Status closed => resolved
2013-10-16 13:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/5a483d481d58801c64ac1e0451d93b1ed650fb61 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/5a483d481d58801c64ac1e0451d93b1ed650fb61 [^]
2013-10-16 13:38 hgbot Checkin
2013-10-16 13:38 hgbot Note Added: 0061698
2013-10-17 18:33 guilleaer Note Added: 0061789
2013-10-17 18:33 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker